package javax.xml.soap;

import javax.xml.transform.Source;
import java.util.Iterator;
import org.w3c.dom.Document;

public abstract class SOAPPart implements Document, Node
{
    public SOAPPart() {
    }
    
    public abstract SOAPEnvelope getEnvelope() throws SOAPException;
    
    public String getContentId() {
        String[] values = this.getMimeHeader("Content-Id");
        if (values != null && values.length > 0) {
            return values[0];
        }
        return null;
    }
    
    public String getContentLocation() {
        String[] values = this.getMimeHeader("Content-Location");
        if (values != null && values.length > 0) {
            return values[0];
        }
        return null;
    }
    
    public void setContentId(String contentId) {
        this.setMimeHeader("Content-Id", contentId);
    }
    
    public void setContentLocation(String contentLocation) {
        this.setMimeHeader("Content-Location", contentLocation);
    }
    
    public abstract void removeMimeHeader(String p0);
    
    public abstract void removeAllMimeHeaders();
    
    public abstract String[] getMimeHeader(String p0);
    
    public abstract void setMimeHeader(String p0, String p1);
    
    public abstract void addMimeHeader(String p0, String p1);
    
    public abstract Iterator getAllMimeHeaders();
    
    public abstract Iterator getMatchingMimeHeaders(String[] p0);
    
    public abstract Iterator getNonMatchingMimeHeaders(String[] p0);
    
    public abstract void setContent(Source p0) throws SOAPException;
    
    public abstract Source getContent() throws SOAPException;
}
